<?php
	require_once("dbinfo.inc");
	$err;
	$msg;
	$start_index;
	$end_index;
	$max_index;
	$item_per = 3;
	/*create a file named dbinfo.inc, and place in it the following in a php script:
	<?php
	$servername = "wwwstu.csci.viu.ca";//use localhost instead if not working on school server
	$username = "username";//this is your mysql username
	$password = "password";//your mysql password
	$database = "username";//this is the name of your mysql database, it is the same as your user name on the csci server
	//replacing username with your username, and password for your mysql password$name;
	?>
	*/
	if(isset($_POST['page'])){
		//we've paged to previous or next		
		$msg .= "in with post ";
		if(isset($_POST['n_start'])) $start_index = $_POST['n_start'];
		if(isset($_POST['n_end'])) $end_index = $_POST['n_end'];
		if($_POST['page'] == "Next"){
			//set up the start/end to disply relevant values
			if($start_index+$item_per){
				$start_index +=$item_per;
			}
					

		}else{
			//don't go past 1
			if($start_index-$item_per >=1){
				$start_index-=$item_per;
			}else{
				$start_index = 1;
			}
		}
		$end_index = $start_index+$item_per;
		$msg .= "start: $start_index, end: $end_index\n";
		
	}else{
		$start_index = 1;
		$end_index = $start_index+$item_per;
		$msg .= "start: $start_index, end: $end_index\n";
		
	}
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" >
<head>
	<meta charset="utf-8"/>
	<title>Albums from the our Music Database</title>
	<link rel="stylesheet" href="myStyles.css" type="text/css" />
</head>
<body>
<h1>Albums by the Best Bands Ever</h1>
<div class="myTable">
<div class="myRow">
	<span class="myCol table-head">Band</span>
	<span class="myCol table-head">Album</span>
	<span class="myCol table-head">Produced By</span>
</div>
<?php
//connect to db and get the band, album and producer using a joined query:
//select bandName, albumName, producer from bands, albums, labels where bands.bandID=albums.bandID AND albums.producerID=labels.producerID
	$i = 1;
	$myHandle;
	try{
		$myHandle = new PDO("mysql:host=$servername;dbname=$database", $username, $password);

	}catch(PDOException $e){
		$err .= "Connection failed: " . $e->getMessage() . "\n";
	}	
		
	if($myHandle){
		$mystmt = "select bandName, albumName, producer from bands, albums, labels where bands.bandID=albums.bandID AND albums.producerID=labels.producerID";
		$rslt = $myHandle->query($mystmt);
		foreach($rslt as $row){
			foreach($row as $field=>$value){
				$albums[$i][$field] = $value;
			}
			$i++;
		}
		$numAlbums = sizeof($albums);
		$max_index = $numAlbums;
		$mystmt = null;
		$myHandle = null;
		$msg .= "numalbums: $numAlbums";
	}

	for($j=$start_index; $j<=$max_index && $j<$end_index; $j++){
		//build the table
		echo "<div class='myRow'>";
		echo "<span class='myCol'>{$albums[$j]['bandName']}</span>";
		echo "<span class='myCol'>{$albums[$j]['albumName']}</span>";
		echo "<span class='myCol'>{$albums[$j]['producer']}</span>";
		echo "</div>\n";
	}
		
	//echo $msg;
	
	
?>
</div>
<form action="musicPaginateDemo.php" method="post">
<div class="buttons">
<?php
	//buttons for next and prev, as needed
	if($start_index > 1){
		echo "<input class='prev' type='submit' name='page' value='Prev'/>";
	}
	if($end_index < $max_index){
		echo "<input class='next' type='submit' name='page' value='Next'/>";
	}
	
	echo "<input type='hidden' name='n_end' value='$end_index'/>\n";
	echo "<input type='hidden' name='n_start' value='$start_index'/>\n";

?>
</div>
</form>
</body>
</html>