<?php
	require_once("dbinfo.inc");
	$err;
	$msg;
	$title = "Sarah's Great Song Picker-doodle";
	if(isset($_POST['bandID'])){
		
		$title = $_POST['bandName'] ."'s Super Awesome Songs";
	}
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" >
<head>
	<meta charset="utf-8"/>
	<title>Show Some Songs</title>
	<link rel="stylesheet" href="myStyles.css" type="text/css" />
</head>
<body>
<header>
	<h1><?php echo $title?></h1>
</header>
<form method="post" action="showSongs.php">
<?php
if(isset($_POST['bandID'])){
	//we've selected a band, so build a table of that band's songs
	echo "<div class='myTable'>\n<div class='myRow'><span class='myCol table-head'>Band</span><span class='myCol table-head'>Album</span></div>";
	$myHandle;
	try{
		$myHandle = new PDO("mysql:host=$servername;dbname=$database", $username, $password);

	}catch(PDOException $e){
		$err .= "Connection failed: " . $e->getMessage() . "\n";
	}	
		
	if($myHandle){
		$bandID = $_POST['bandID'];
		$mystmt = "select bandName, albumName from bands left join albums on bands.bandID=albums.bandID where bands.bandID=$bandID and albums.bandID=$bandID";
		//echo $mystmt;
		$rslt = $myHandle->query($mystmt);
		$i=1;
		foreach($rslt as $row){
			foreach($row as $field=>$value){
				$albums[$i][$field] = $value;
			}
			$i++;
		}
		$numAlbums = sizeof($albums);
		for($j=1; $j<=$numAlbums; $j++){
		//build the table
			echo "<div class='myRow'>";
			echo "<span class='myCol'>{$albums[$j]['bandName']}</span>";
			echo "<span class='myCol'>{$albums[$j]['albumName']}</span>";
			echo "</div>\n";
		}
	}
	echo "</div>";//end table	
}else{
	$myHandle;
	try{
		$myHandle = new PDO("mysql:host=$servername;dbname=$database", $username, $password);

	}catch(PDOException $e){
		$err .= "Connection failed: " . $e->getMessage() . "\n";
	}	
		
	if($myHandle){
		$mystmt = "select bandName, bandID from bands order by bandName";
		$rslt = $myHandle->query($mystmt);
		$i = 1;
		foreach($rslt as $row){
			foreach($row as $field=>$value){
				$bands[$i][$field] = $value;
			}
			$i++;
		}	
		$i++;
		$numBands = sizeof($bands);
		echo "<select id='bandID' name='bandID' onchange='setName()'>";
		for($j=1; $j<=$numBands; $j++){
		//build the table
			echo "<option value=\"{$bands[$j]['bandID']}\">{$bands[$j]['bandName']}</option>";	
		}
		echo "</select>";
		echo "<input type='submit' value='Get Songs'/>";
		echo "<input type='hidden' id='bandName' name='bandName'/>";
	}
	$myHandle=null;
}
?>
</form>
<script>
	function setName(){
		var bandID = document.getElementById('bandID');

    	if (bandID.selectedIndex == -1)
        	return null;

    	var bandName = bandID.options[bandID.selectedIndex].text;
    	document.getElementById('bandName').value = bandName;
		
	}
</script>
</body>
</html>